NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_socketpair(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_socketpair - Create a pair of connected sockets

## Table Of Contents

## Synopsis

- ns_socketpair

## Description

ns_socketpair creates a pair of connected sockets and returns a list of file ids: the first one for reads and the second one for writes.

## COMMANDS

ns_socketpair

## EXAMPLES

## See Also

nsd

## Keywords

NaviServer, socket